<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Sports Management System | Login</title>

    <!-- Google Font & AdminLTE CSS -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <link rel="stylesheet" href="{{ asset('dashboard_assets/css/fontawesome-free/css/all.min.css') }}">
    <link rel="stylesheet" href="{{ asset('dashboard_assets/css/adminlte.min.css') }}">
</head>
<body class="hold-transition login-page">
<div class="login-box">

    <div class="card card-outline card-primary">
        <div class="card-header text-center">
            <a href="#" class="h1"><b>Sports</b>Manager</a>
        </div>
        <div class="card-body">
            <p class="login-box-msg">Sign in to start your session</p>

            <!-- FORM, but no action for now -->
            <form action="{{ route('login.submit') }}" method="POST">
    @csrf

    <!-- Add name="email" -->
    <div class="input-group mb-3">
        <input type="email" name="email" class="form-control" placeholder="Email" required>
        <div class="input-group-append">
            <div class="input-group-text">
                <span class="fas fa-envelope"></span>
            </div>
        </div>
    </div>

    <!-- Add name="password" -->
    <div class="input-group mb-3">
        <input type="password" name="password" class="form-control" placeholder="Password" required>
        <div class="input-group-append">
            <div class="input-group-text">
                <span class="fas fa-lock"></span>
            </div>
        </div>
    </div>

    <!-- Role dropdown (optional, not required for login to work) -->
    <div class="input-group mb-3">
        <select class="form-control" name="role" required>
            <option value="" disabled selected>Select Role</option>
            <option value="admin">Admin</option>
            <option value="coach">Coach / Manager</option>
            <option value="player">Player</option>
            <option value="fan">Fan / Viewer</option>
        </select>
        <div class="input-group-append">
            <div class="input-group-text">
                <span class="fas fa-user-tag"></span>
            </div>
        </div>
    </div>

    <button type="submit" class="btn btn-primary btn-block">Sign In</button>
    <a href="{{ route('register') }}" class="btn btn-secondary btn-block">Register Now</a>
</form>

        </div>
    </div>

</div>

<script src="{{ asset('dashboard_assets/js/jquery/jquery.min.js') }}"></script>
<script src="{{ asset('dashboard_assets/js/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
<script src="{{ asset('dashboard_assets/js/adminlte.min.js') }}"></script>
</body>
</html>
